## org.jgroups.stack
Class StaticInterval

    java.lang.Object
      org.jgroups.stack.StaticInterval

All Implemented Interfaces:
  Interval

    public class StaticInterval

extends java.lang.Object
implements Interval

Manages retransmission timeouts. Always returns the next timeout, until the last timeout in the array is reached. Returns the last timeout from then on. Note that this class is <em?not immutable, so it shouldn't be shared between instances, as `next()` will modify the state.

Author:
  John Giorgiadis, Bela Ban

Constructor Summary
`StaticInterval(long... vals)`

Method Summary
`Interval` `copy()` Returns a copy of the state.
`long` `next()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaticInterval

    public StaticInterval(long... vals)

Method Detail

### copy

    public Interval copy()

  Description copied from interface: `Interval`
  Returns a copy of the state. If there is no state, this method may return a ref to itself

  Specified by:
    `copy` in interface `Interval`

### next

    public long next()

  Specified by:
    `next` in interface `Interval`
  Returns:
    the next interval

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.